<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html">alerts</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_timer.html">Timer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::alerts::Timer Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_timer.html">alexaClientSDK::capabilityAgents::alerts::Timer</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#aacb884a7749a82a05f5095c4d880d253">activate</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a8e5cbde6c78a3328b232d860bc1f0af1">Alert</a>(std::function&lt; std::unique_ptr&lt; std::istream &gt;()&gt; defaultAudioFactory, std::function&lt; std::unique_ptr&lt; std::istream &gt;()&gt; shortAudioFactory)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a21d4eee1d0c78dee6ce1b6512bfa7d00">deactivate</a>(StopReason reason)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#af630f1923b6be85fef5b3ba2397ab1cc">getAlertData</a>(StaticData *staticData, DynamicData *dynamicData) const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a44a1c3aa4dcc299c6648a6a03b20540f">getAssetConfiguration</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a6705ac03c838db6c81b490e0eda6ab45">getBackgroundAssetId</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a68926f62a28519ebcf7f07fc9e52a597">getContextInfo</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a98a7053c4221284ccf52eeacd764b0ef">getDefaultAudioFactory</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a550f4f27590cfd2d147e7dcd1a9a11e7">getId</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a3a3efc778d6a6216f966043e7536033a">getLoopCount</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a3f8bc16a3aee527fd564dc9cb6d5267b">getLoopPause</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#aa32b2de97e86e800a711993c3d06ad04">getScheduledTime_ISO_8601</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a0437ed1869496bb71fedb74eb3da7190">getScheduledTime_Unix</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a5566195d4ee0697be7f3edc2059f4418">getShortAudioFactory</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a9c5f6dd640e530af582bf722de9429a6">getState</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a4c74e2df561abdf819a0489c58fd5d4b">getStopReason</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a66f0123942d7ec1e77d45f5e2ece8094">getToken</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_timer.html#afe63e4c4740068cbdfcb85974d3d1b32">getTypeName</a>() const override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_timer.html">alexaClientSDK::capabilityAgents::alerts::Timer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a1f68930bde94f645d111a73098b1a3ef">isPastDue</a>(int64_t currentUnixTime, std::chrono::seconds timeLimit)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a8946fab32789fd5da299047c949938a7">onRendererStateChange</a>(renderer::RendererObserverInterface::State state, const std::string &amp;reason) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a68c6dc82ed5d6ea056671d4709121008">parseFromJson</a>(const rapidjson::Value &amp;payload, std::string *errorMessage)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#ae9d9bccbd753f88f8f747cfc31fbbfc7">ParseFromJsonStatus</a> enum name</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#ae0bdd47f3ccf22fb8241336cb6e31ab9">parseFromJsonStatusToString</a>(Alert::ParseFromJsonStatus parseFromJsonStatus)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#acd2c7b8705a6d9e1a2cd8ef216a5a047">printDiagnostic</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a16fd8795bdf993c857f25e6a4b1db239">reset</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a312588ae29f3583b990794a4596befb4">setAlertData</a>(StaticData *staticData, DynamicData *dynamicData)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a8ca69902b11c2035c63f2655aa187889">setFocusState</a>(avsCommon::avs::FocusState focusState)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a9711dd2c7a99ca6bf8dd8cc8e4fa82c0">setObserver</a>(AlertObserverInterface *observer)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a2aeab0d0d38a3ea37f52171cff9ce934">setRenderer</a>(std::shared_ptr&lt; renderer::RendererInterface &gt; renderer)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#abffaca6bb0535ce93d3c5dde06b10397">setStateActive</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a06d681e83c484e92ae79e81c8c541436">snooze</a>(const std::string &amp;updatedScheduledTime)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#afd1d5e2e5c4e778fe4e0a96c9537dc62">State</a> enum name</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a98413c1eb50fe5e2f4c8c0cdda3e992a">stateToString</a>(Alert::State state)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a1c173605e1102ce062e5111d6e78e11d">alexaClientSDK::capabilityAgents::alerts::renderer::RendererObserverInterface::stateToString</a>(State state)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html">alexaClientSDK::capabilityAgents::alerts::renderer::RendererObserverInterface</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a3f3b31fc54d94c3ada26cc9c6e51f158">StopReason</a> enum name</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#ae7f404334ef6ae2ed9dccf5608f6a433">stopReasonToString</a>(Alert::StopReason stopReason)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_timer.html#ab2e2336cbecf16e6b295704fb567a2d4">Timer</a>(std::function&lt; std::unique_ptr&lt; std::istream &gt;()&gt; defaultAudioFactory, std::function&lt; std::unique_ptr&lt; std::istream &gt;()&gt; shortAudioFactory)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_timer.html">alexaClientSDK::capabilityAgents::alerts::Timer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_timer.html#ad1df95a8dcbf2013cc5aada67499ccc5">TYPE_NAME</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_timer.html">alexaClientSDK::capabilityAgents::alerts::Timer</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a4588efe1e21aa97be5e91fa714bb90a7">updateScheduledTime</a>(const std::string &amp;newScheduledTime)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a4a8b35275e648190dd7a49a94f2b31f1">~RendererObserverInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html">alexaClientSDK::capabilityAgents::alerts::renderer::RendererObserverInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
